import { PitayaView } from "./view";

/**
 * @class
 * Should be used as super class for components
 */
export abstract class PitayaComponent
{
	public identifier: number | string;
	public name: string;

	protected _htmlElement: HTMLElement;

	get htmlElement(): HTMLElement
	{
		return this._htmlElement;
	}

	/**
	 * Returns the identifier of this component. Creates one if necessary.
	 */
	protected _getId(): number | string
	{
		if( this.identifier === undefined || this.identifier === "" )
		{
			this.identifier = PitayaView.instance.getNewId();
		}

		return this.identifier;
	}
}