import Dexie                      from "dexie/dist/dexie";
import { PitayaAppConfiguration } from "../app-configuration";
import { ISetting, IUser }        from "./indexed-db.d";

class PitayaIndexedDbImpl extends Dexie
{
	public static readonly NAME: string = "pitayaDB";

	public settings: Dexie.Table<ISetting, number>;
	public users: Dexie.Table<IUser, number>;

	constructor()
	{
		super( PitayaIndexedDbImpl.NAME );

		this.version( 1 ).stores( {
			settings : `++${PitayaAppConfiguration.Database.settingsIdFieldName}, ${PitayaAppConfiguration.Database.userNameFieldName}`,
			users    : `++${PitayaAppConfiguration.Database.userIdFieldName}, ${PitayaAppConfiguration.Database.userNameFieldName}`,
		} );
	}
}

export const PitayaIndexedDb = new PitayaIndexedDbImpl();