import { PitayaAppConfiguration } from "./app-configuration";

const _DEV_MODE_CLASS: string = "pitaya--dev-mode";

const _developmentTaskQueue = [];

export const executeDevelopmentQueue = async function( settings: PitayaAppConfiguration )
{
	if( !settings.Development.enabled )
	{
		return;
	}

	for( const task of _developmentTaskQueue )
	{
		await task( settings );
	}
};

_developmentTaskQueue.push( ( { Development }: PitayaAppConfiguration ) =>
{
	document.body.classList.add( Development.bodyClassName );
} );