"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const app_configuration_1 = require("./app-configuration");
const index_1 = require("./index");
const _SETTINGS_NAME_FIELD_NAME = app_configuration_1.PitayaAppConfiguration.Database.settingsNameFieldName;
const settingsDb = index_1.PitayaIndexedDb.settings;
exports.PitayaSettings = {
    async get(key) {
        return await settingsDb
            .where(_SETTINGS_NAME_FIELD_NAME)
            .equals(key)
            .first();
    },
    async set(data) {
        return await settingsDb.add(data);
    },
    async update(key, data) {
        return await settingsDb
            .where(_SETTINGS_NAME_FIELD_NAME)
            .equals(key)
            .modify(data);
    },
    async has(key) {
        return await settingsDb
            .where(_SETTINGS_NAME_FIELD_NAME)
            .equals(key)
            .count() > 0;
    }
};
//# sourceMappingURL=settings.js.map